Register
Results 1 to 8 of 8

PSP Firmware version 3.93 now available

PSP owners should from today be prompted to update their firmware to ...

  1. #1
    V.I.P. Member janobi's Avatar
    Join Date
    Mar 2008
    Location
    In a field.....
    Posts
    1,615
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Downloads
    4
    Uploads
    0

    Default PSP Firmware version 3.93 now available

    PSP owners should from today be prompted to update their firmware to v3.93, which expands support for PLAYSTATION Network titles. Also the PSP Internet Radio feature will have 20 new internet radio players. The new players are organized into more specific styles of music so that PSP users can easily find what they are looking for and listen to their favorite genres.


  2. #2
    JTH
    JTH is offline
    Top Poster
    Join Date
    Mar 2008
    Posts
    143
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Downloads
    54
    Uploads
    0

    Default

    this is sony firmware so if on custom dont use it
    WE ARE THEPEOPLE

  3. #3
    V.I.P. Member janobi's Avatar
    Join Date
    Mar 2008
    Location
    In a field.....
    Posts
    1,615
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Downloads
    4
    Uploads
    0

    Default

    Quote Originally Posted by JTH View Post
    this is sony firmware so if on custom dont use it
    I didnt think you could john. I thought DA disabled the official FW updates on his latest CFW? You would know better than I, as I aint upgraded past 3.52. If it aint broke, dont fix it.


  4. #4
    JTH
    JTH is offline
    Top Poster
    Join Date
    Mar 2008
    Posts
    143
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Downloads
    54
    Uploads
    0

    Default

    if there on 3.80m33-5
    then that feture is set at default for da download.
    but the requirements to update to 3.90 is 3.52m33-3
    so if on earlier firmware just be carefull.
    i dont think DA will relase 3.93m33 not much of a change
    WE ARE THEPEOPLE

  5. #5
    V.I.P. Member janobi's Avatar
    Join Date
    Mar 2008
    Location
    In a field.....
    Posts
    1,615
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Downloads
    4
    Uploads
    0

    Default

    Quote Originally Posted by JTH View Post
    if there on 3.80m33-5
    then that feture is set at default for da download.
    but the requirements to update to 3.90 is 3.52m33-3
    so if on earlier firmware just be carefull.
    i dont think DA will relase 3.93m33 not much of a change
    Yeah I doubt it too mate, probably wait for 4.0 or something. And even a guru needs to learn mate. Thats why I asked, you know me I dont like to update if I dont need to.


  6. #6
    V.I.P. Member biffo1's Avatar
    Join Date
    Mar 2008
    Posts
    815
    Thanks
    0
    Thanked 2 Times in 2 Posts
    Downloads
    25
    Uploads
    1

    Default

    is there a bug fellas with 3.90 , im on 3.80mm 5 , i did up dtae to 3.90 but had probs with games being ronised on the card so back down to 3.8.0mm 5
    [CENTERhttp://i195.photobucket.com/albums/z39/biffo1/iOS-4322.jpg[/CENTER]

  7. #7
    V.I.P. Member janobi's Avatar
    Join Date
    Mar 2008
    Location
    In a field.....
    Posts
    1,615
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Downloads
    4
    Uploads
    0

    Default

    Quote Originally Posted by biffo1 View Post
    is there a bug fellas with 3.90 , im on 3.80mm 5 , i did up dtae to 3.90 but had probs with games being ronised on the card so back down to 3.8.0mm 5
    Not sure, but there seems to be a lot of people complaining of issues with it. Wether with PSX or PSP games. There used to be compatiability lists, but they dont get produced anymore for some reason.


  8. #8
    JTH
    JTH is offline
    Top Poster
    Join Date
    Mar 2008
    Posts
    143
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Downloads
    54
    Uploads
    0

    Default

    theres still a few lists a bout jan ill get one the morra hopefully

    @brian make sure u add the 150 kernal for the fat psp m8 on 3.90m33
    and u shouldnt have a problem m8
    WE ARE THEPEOPLE

 

 

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •